/***************************************************************************
* $Id$
**
* Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
* This file is part of an example program for Qt.  This example
* program may be used, distributed and modified without limitation.
**
****************************************************************************/

import org.trinitydesktop.qt.*;


class Main {

public static void main(String[] args) {
    // Use an interesting font
    TQApplication.setFont(new TQFont("unifont",16));

    TQApplication app = new TQApplication(args);

    FontDisplayer m = new FontDisplayer();
    TQSize sh = m.centralWidget().sizeHint();
    m.resize(sh.width(),
             sh.height()+3*m.statusBar().height());
    app.setMainWidget(m);
    m.setCaption("Qt Example - TQFD");
    m.show();

    app.exec();
    return;
}

	static {
		qtjava.initialize();
	}

}
